/* Class definition: The Health class extends the Artefact class.
 * Health gives you healthPoints (which is awesome!)
 */
public class Health extends Artefact {
	//You can play with this parameter to make the game more challenging or less :)
	int healthPoints = 20;
	//Sets the appearance, the c and y coordinates
	public Health( int xPos, int yPos) {
		super('+', xPos, yPos);
	}
	//Returns true if Harry picks up some health and adds healthPoints to Harry
	@Override
	boolean pickObject(HarryPotter player) {
		player.addHealth(healthPoints);
		return true;
	}

	@Override
	public String toString() {
		return "Health( +" + healthPoints + " health points )";
	}

}
