/*Class description: The class Shield extends the class Artefact. A shield can give Harry
 * defencePoints
 */
public class Shield extends Artefact {
	//You can play with this value to make the game more exciting!
	int defencePoints = 10;
	//Setting the appearance, the x and y coordinates
	public Shield(int xIn, int yIn) {
		super('', xIn, yIn);
	}
	//Returns true if Harry picks up the Scroll and adds defencePoints to Harry
	@Override
	boolean pickObject(HarryPotter player) {
		player.addDefenceIndex(defencePoints);
		return true;
	}

	@Override
	public String toString() {
		return "Shield( +" + defencePoints + " defence points )";
	}

}